Skip to content

AnalysisFloat⁠

Perform various operations for Symitar parameters.

Operations⁠

getAnalysisFloatSelectFields⁠

POST

Execute the persistent ParameterService getAnalysisFloatSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AnalysisFloatBranchintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getAnalysisFloatSelectFields
POST /nexum/627/persistent/parameter/getAnalysisFloatSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "AnalysisFloatBranch": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllAnalysisFloatFields": true,
    "AnalysisFloatFields": {
      "Branch": true,
      "BranchReference": true,
      "BranchValidCode": true,
      "ForeignItemFloatDays": true,
      "LocalFloatDays": true,
      "NonlocalFloatDays": true,
      "RoutingNumberFloatDays": [
        0
      ],
      "RoutingNumberPrefix": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getAnalysisFloatPagedListSelectFields⁠

POST

Execute the persistent ParameterService getAnalysisFloatPagedListSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getAnalysisFloatPagedListSelectFields
POST /nexum/627/persistent/parameter/getAnalysisFloatPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllAnalysisFloatFields": true,
    "AnalysisFloatFields": {
      "Branch": true,
      "BranchReference": true,
      "BranchValidCode": true,
      "ForeignItemFloatDays": true,
      "LocalFloatDays": true,
      "NonlocalFloatDays": true,
      "RoutingNumberFloatDays": [
        0
      ],
      "RoutingNumberPrefix": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchAnalysisFloatPagedSelectFields⁠

POST

Execute the persistent ParameterService searchAnalysisFloatPagedSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/searchAnalysisFloatPagedSelectFields
POST /nexum/627/persistent/parameter/searchAnalysisFloatPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllAnalysisFloatFields": true,
    "AnalysisFloatFields": {
      "Branch": true,
      "BranchReference": true,
      "BranchValidCode": true,
      "ForeignItemFloatDays": true,
      "LocalFloatDays": true,
      "NonlocalFloatDays": true,
      "RoutingNumberFloatDays": [
        0
      ],
      "RoutingNumberPrefix": [
        0
      ]
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateAnalysisFloatByID⁠

POST

Execute the persistent ParameterService updateAnalysisFloatByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AnalysisFloatBranchintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateAnalysisFloatByID
POST /nexum/627/persistent/parameter/updateAnalysisFloatByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "AnalysisFloatBranch": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "AnalysisFloatFields": {
    "Branch": 0,
    "BranchReference": 0,
    "BranchValidCode": 0,
    "ForeignItemFloatDays": 0,
    "LocalFloatDays": 0,
    "NonlocalFloatDays": 0,
    "RoutingNumberFloatDays": [
      {
        "EntryId": 0,
        "RoutingNumberFloatDays": 0
      }
    ],
    "RoutingNumberPrefix": [
      {
        "EntryId": 0,
        "RoutingNumberPrefix": 0
      }
    ]
  },
  "nxAttributes": {
    "customFields": {}
  }
}